AgentType (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Class AgentType

    java.lang.Object
      edu.harvard.hul.ois.jhove.EnumerationType
          edu.harvard.hul.ois.jhove.AgentType

    public final class AgentType

extends EnumerationType

This class defines enumerated types for an Agent. Applications will not create or modify AgentTypes, but will use one of the predefined AgentType instances COMMERCIAL, GOVERNMENT, EDUCATIONAL, NONPROFIT, STANDARD, or OTHER.

See Also:
  `Agent`

Field Summary
`static AgentType` | `COMMERCIAL` Agent type for a commercial entity.
`static AgentType` | `EDUCATIONAL` Agent type for an educational institution.
`static AgentType` | `GOVERNMENT` Agent type for a governmental body.
`static AgentType` | `NONPROFIT` Agent type for a non-profit organization.
`static AgentType` | `OTHER` Agent type that doesn't fit the other categories.
`static AgentType` | `STANDARD` Agent type for a standards body.

Method Summary

Methods inherited from class edu.harvard.hul.ois.jhove.EnumerationType
`equals, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COMMERCIAL

    public static final AgentType COMMERCIAL

  Agent type for a commercial entity.

### GOVERNMENT

    public static final AgentType GOVERNMENT

  Agent type for a governmental body.

### EDUCATIONAL

    public static final AgentType EDUCATIONAL

  Agent type for an educational institution.

### NONPROFIT

    public static final AgentType NONPROFIT

  Agent type for a non-profit organization.

### STANDARD

    public static final AgentType STANDARD

  Agent type for a standards body.

### OTHER

    public static final AgentType OTHER

  Agent type that doesn't fit the other categories.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD